Package com.ocient.jdbc.proto

## Interface PlanProtocol.ReorderOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.ReorderOperator`, `PlanProtocol.ReorderOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.ReorderOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getColumns​(int index)` `repeated string columns = 1;`
`com.google.protobuf.ByteString` `getColumnsBytes​(int index)` `repeated string columns = 1;`
`int` `getColumnsCount()` `repeated string columns = 1;`
`List<String>` `getColumnsList()` `repeated string columns = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getColumnsList

    List<String> getColumnsList()

`repeated string columns = 1;`

Returns:
  A list containing the columns.

#### getColumnsCount

    int getColumnsCount()

`repeated string columns = 1;`

Returns:
  The count of columns.

#### getColumns

    String getColumns​(int index)

`repeated string columns = 1;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The columns at the given index.

#### getColumnsBytes

    com.google.protobuf.ByteString getColumnsBytes​(int index)

`repeated string columns = 1;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the columns at the given index.